Bug 197818 - CVE-2006-3083 krb5 multiple unsafe setuid usage
CVE-2006-3083 krb5 multiple unsafe setuid usage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5 (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
source=mit,reported=20060706,impact=i...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-06 12:59 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0612
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 16:08:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch from upstream (6.17 KB, patch)
2006-07-06 13:05 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-07-06 12:59:26 EDT
krb5 multiple unsafe setuid usage

krb5 contains several unsafe uses of setuid.  This is a problem on
RHEL4 due to process restrictions in the 2.6 kernel.

Theses issues do not affect RHEL3 or RHEL2.1 since setuid does not
fail due to user limits.

The advisory from MIT also mentions CVE-2006-3084.  That issue
describes issues when calling seteuid() fails.  The seteuid() function
on all versions of the linux kernel will not fail due to user limits.
Comment 2 Josh Bressers 2006-07-06 13:05:35 EDT
Created attachment 132010 [details]
Patch from upstream
Comment 9 Red Hat Bugzilla 2006-08-08 16:08:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0612.html

Note You need to log in before you can comment on or make changes to this bug.